<script setup lang="ts">
import { useSettingsStore } from 'store/settingsStore'
import { useMessage } from 'naive-ui'

const store = useSettingsStore()
const message = useMessage()

const handleClick = () => {
  message.info('Button Clicked')
}
</script>

<template>
  <div id="access-settings" class="flex flex-col bg-light-50">
    <div id="org-access" class="px-4 mb-4">
      <n-divider title-placement="left" class="!mt-2">
        Organization Access Settings
      </n-divider>
      <div class="px-2 flex flex-col space-y-xs">
        <div class="flex items-center justify-between">
          <div class="flex items-center">
            <span class="text-base font-semibold">All Users</span>
            <n-popover class="max-w-[280px]" trigger="hover">
              <template #trigger>
                <i role="img" class="i-ant-design:info-circle-outlined block h-4 w-4 ml-1" />
              </template>
              <span class="text-xs">Allow all users to view and send the email.</span>
            </n-popover>
          </div>
          <n-switch v-model:value="store.access_allusers" size="medium" />
        </div>
        <div class="flex justify-between items-center">
          <div class="flex items-center">
            <span class="text-base font-semibold">Marketing Partners</span>
            <n-popover class="max-w-[280px]" trigger="hover">
              <template #trigger>
                <i role="img" class="i-ant-design:info-circle-outlined block h-4 w-4 ml-1" />
              </template>
              <span class="text-xs">Allow marketing partners to view and send the email.</span>
            </n-popover>
          </div>
          <n-switch v-model:value="store.access_marketpartners" size="medium" />
        </div>
        <div class="flex justify-between items-center">
          <div class="flex items-center">
            <span class="text-base font-semibold">Editing</span>
            <n-popover class="max-w-[280px]" trigger="hover">
              <template #trigger>
                <i role="img" class="i-ant-design:info-circle-outlined block h-4 w-4 ml-1" />
              </template>
              <span class="text-xs">Allow all users to edit the email before sending.</span>
            </n-popover>
          </div>
          <n-switch v-model:value="store.access_editing" size="medium" />
        </div>
      </div>
    </div>
    <!-- Seperator -->
    <div id="team-access" class="px-4 mb-4">
      <n-divider title-placement="left" class="!mt-2 !mb-2">
        Team Access Settings
      </n-divider>
      <div class="text-sm px-2">
        <p class="mb-4">
          Team settings will override organization settings.
        </p>
        <div class="flex justify-evenly mb-4">
          <n-statistic label="Allowed Access" :value="0" style="--n-value-font-size: 18px">
            <template #prefix>
              <i role="img" class="i-ant-design:team-outlined inline-block w-6 h-6 vertical-middle mb-1" />
            </template>
            <template #suffix>
              Teams
            </template>
          </n-statistic>
          <n-statistic label="Denied Access" :value="0" style="--n-value-font-size: 18px">
            <template #prefix>
              <i role="img" class="i-ant-design:team-outlined inline-block w-6 h-6 vertical-middle mb-1" />
            </template>
            <template #suffix>
              Teams
            </template>
          </n-statistic>
        </div>
        <n-button class="w-full" @click="handleClick">
          Edit Team Access
        </n-button>
      </div>
    </div>
    <!-- Seperator -->
    <div id="user-access" class="px-4 mb-4">
      <n-divider title-placement="left" class="!mt-2 !mb-2">
        User Access Settings
      </n-divider>
      <div class="text-sm px-2">
        <p class="mb-2">
          User settings will override organization and team settings.
        </p>
        <div class="flex justify-evenly mb-4">
          <n-statistic label="Allowed Access" :value="0" style="--n-value-font-size: 18px">
            <template #prefix>
              <i role="img" class="i-ant-design:user-outlined inline-block w-6 h-6 vertical-middle mb-1" />
            </template>
            <template #suffix>
              Users
            </template>
          </n-statistic>
          <n-statistic label="Denied Access" :value="0" style="--n-value-font-size: 18px">
            <template #prefix>
              <i role="img" class="i-ant-design:user-outlined inline-block w-6 h-6 vertical-middle mb-1" />
            </template>
            <template #suffix>
              Users
            </template>
          </n-statistic>
        </div>
        <n-button class="w-full" @click="handleClick">
          Edit User Access
        </n-button>
      </div>
    </div>
  </div>
</template>
